angular.module('opportunitytabsService',[]).factory('Opportunitytabs',function($http){
	return {
		getPaging:function(filter){
			return $http({method:'POST',url:url_server + 'opportunitytabspaging',data:filter});
		},
		getSelect:function(){
			return $http({method:'POST',url:url_server + 'opportunitytabs/getall',withCredentials: true});
		},
		getSelect2:function(filter){
			return $http({method:'POST',url:url_server + 'opportunitytabs/search',data:filter});
		},
		show:function(id){
			return $http.get(url_server+ 'opportunitytabs/'+id);
		},
		save:function(opportunitytabsData){
			return $http({method:'POST',
							url:url_server+'opportunitytabs',
							data:opportunitytabsData});
		},
		update:function(id, opportunitytabsData){
			return $http.put(url_server+'opportunitytabs/'+id,opportunitytabsData);
		},
		destroy:function(id){
			return $http.delete(url_server + 'opportunitytabs/'+id);
		}
	};
});
